Area Chart

Data that's arranged in columns or rows on a worksheet can be plotted in an area chart. Area charts can be used to plot change over time and draw attention to the total value across a trend by showing the sum of the plotted values.

SpreadJS supports area, stacked area and 100% stacked area charts. Use the GC.Spread.Sheets.Charts.ChartType.area property to get the chart type. You can add an area chart to Spread and change its style using the chart API. Area: Area charts show trends over time. Stacked Area: Stacked area charts show the trend of the contribution of each value over time or other categorical data. 100% Stacked Area: One-hundred percent stacked area charts show the trend of the percentage that each value contributes over time or other categorical data.
window.onload = function () { var spread = new GC.Spread.Sheets.Workbook(document.getElementById("ss"), {sheetCount: 3}); initSpread(spread); }; function initSpread(spread) { var chartType = [{ type: GC.Spread.Sheets.Charts.ChartType.area, desc: "area", }, { type: GC.Spread.Sheets.Charts.ChartType.areaStacked, desc: "areaStacked", }, { type: GC.Spread.Sheets.Charts.ChartType.areaStacked100, desc: "areaStacked100", }]; var sheets = spread.sheets; spread.suspendPaint(); initArea(sheets[0], chartType[0].desc, chartType[0].type); initArea(sheets[1], chartType[1].desc, chartType[1].type); initArea(sheets[2], chartType[2].desc, chartType[2].type); spread.resumePaint(); } function initArea(sheet, sheetName, chartType) { sheet.name(sheetName); sheet.suspendPaint(); //prepare data for chart var dataArray = [ ["", "1750", "1800", "1850", "1900", "1950", "2000", "2050"], ["Asia", 502, 635, 809, 947, 1402, 3634, 5268], ["Africa", 106, 107, 111, 133, 221, 767, 1766], ["America", 18, 31, 54, 156, 339, 818, 1201], ["Europe", 163, 203, 276, 408, 547, 729, 628], ["Oceania", 2, 2, 2, 6, 13, 30, 46] ]; sheet.setArray(0, 0, dataArray); sheet.resumePaint(); var chart = sheet.charts.add((sheet.name() + 'Chart1'), chartType, 0, 120, 800, 300, "A1:H6", GC.Spread.Sheets.Charts.RowCol.rows); var series = chart.series().get(); var colorArray = ['rgba(158, 200, 242, 0.7)', 'rgba(245, 87, 31, 0.7)', 'rgba(173, 255, 131, 0.7)', 'rgba(255, 178, 50, 0.7)', 'rgba(93, 93, 93, 0.7)']; var colorLineArray = ['rgba(158, 200, 242)', 'rgba(245, 87, 31)', 'rgba(173, 255, 131)', 'rgba(255, 178, 50)', 'rgba(93, 93, 93)']; for (var i = 0; i < series.length; i++) { series[i].backColor = colorArray[i]; series[i].border.color = colorLineArray[i]; series[i].border.width = 2; chart.series().set(i, series[i]); } var axes = chart.axes(); axes.primaryValue.lineStyle.color = 'grey'; axes.primaryValue.majorTickPosition = GC.Spread.Sheets.Charts.TickMark.outside; axes.primaryValue.majorUnit = 1000; chart.axes(axes); chart.title({text:"The Continents History and Forecast of Population Growth",fontSize:18}); chart.axes({primaryValue:{title:{text:"Units: one million"}}}); }
<!doctype html> <html style="height:100%;font-size:14px;"> <head> <meta charset="utf-8" /> <meta name="viewport" content="width=device-width, initial-scale=1.0" /> <link rel="stylesheet" type="text/css" href="$DEMOROOT$/en/purejs/node_modules/@mescius/spread-sheets/styles/gc.spread.sheets.excel2013white.css"> <script src="$DEMOROOT$/en/purejs/node_modules/@mescius/spread-sheets/dist/gc.spread.sheets.all.min.js" type="text/javascript"></script> <script src="$DEMOROOT$/en/purejs/node_modules/@mescius/spread-sheets-shapes/dist/gc.spread.sheets.shapes.min.js" type="text/javascript"></script> <script src="$DEMOROOT$/en/purejs/node_modules/@mescius/spread-sheets-charts/dist/gc.spread.sheets.charts.min.js" type="text/javascript"></script> <script src="$DEMOROOT$/spread/source/js/license.js" type="text/javascript"></script> <script src="app.js" type="text/javascript"></script> <link rel="stylesheet" type="text/css" href="styles.css"> </head> <body> <div class="sample-tutorial"> <div id="ss" class="sample-tutorial"></div> </div> </body> </html>
.sample-tutorial { position: relative; height: 100%; overflow: hidden; } body { position: absolute; top: 0; bottom: 0; left: 0; right: 0; }

SpreadJS supports area, stacked area and 100% stacked area charts. Use the GC.Spread.Sheets.Charts.ChartType.area property to get the chart type.
You can add an area chart to Spread and change its style using the chart API.
Area: Area charts show trends over time.
Stacked Area: Stacked area charts show the trend of the contribution of each value over time or other categorical data.
100% Stacked Area: One-hundred percent stacked area charts show the trend of the percentage that each value contributes over time or other categorical data.
import { Component, NgModule, enableProdMode } from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';
import { platformBrowserDynamic } from '@angular/platform-browser-dynamic';
import { SpreadSheetsModule } from '@mescius/spread-sheets-angular';
import GC from '@mescius/spread-sheets';
import "@mescius/spread-sheets-shapes";
import '@mescius/spread-sheets-charts';
import './styles.css';
@Component({
selector: 'app-component',
templateUrl: 'src/app.component.html'
})
export class AppComponent {
spread: GC.Spread.Sheets.Workbook;
hostStyle = {
width: '100%',
height: '100%',
overflow: 'hidden',
float: 'left'
};
initSpread($event: any) {
this.spread = $event.spread;
let spread = this.spread;
let chartType = [{
type: GC.Spread.Sheets.Charts.ChartType.area,
desc: "area",
}, {
type: GC.Spread.Sheets.Charts.ChartType.areaStacked,
desc: "areaStacked",
}, {
type: GC.Spread.Sheets.Charts.ChartType.areaStacked100,
desc: "areaStacked100",
}];
let sheets = spread.sheets;
spread.suspendPaint();
this.initArea(sheets[0], chartType[0].desc, chartType[0].type);
this.initArea(sheets[1], chartType[1].desc, chartType[1].type);
this.initArea(sheets[2], chartType[2].desc, chartType[2].type);
spread.resumePaint();
}
initArea (sheet: GC.Spread.Sheets.Worksheet, sheetName: string, chartType: GC.Spread.Sheets.Charts.ChartType) {
sheet.name(sheetName);
sheet.suspendPaint();
//prepare data for chart
let dataArray = [
["", "1750", "1800", "1850", "1900", "1950", "2000", "2050"],
["Asia", 502, 635, 809, 947, 1402, 3634, 5268],
["Africa", 106, 107, 111, 133, 221, 767, 1766],
["America", 18, 31, 54, 156, 339, 818, 1201],
["Europe", 163, 203, 276, 408, 547, 729, 628],
["Oceania", 2, 2, 2, 6, 13, 30, 46]
];
sheet.setArray(0, 0, dataArray);
sheet.resumePaint();
let chart = sheet.charts.add((sheet.name() + 'Chart1'), chartType, 0, 120, 800, 300, "A1:H6", GC.Spread.Sheets.Charts.RowCol.rows);
let series = chart.series().get();
let colorArray = ['rgba(158, 200, 242, 0.7)', 'rgba(245, 87, 31, 0.7)', 'rgba(173, 255, 131, 0.7)', 'rgba(255, 178, 50, 0.7)', 'rgba(93, 93, 93, 0.7)'];
let colorLineArray = ['rgba(158, 200, 242)', 'rgba(245, 87, 31)', 'rgba(173, 255, 131)', 'rgba(255, 178, 50)', 'rgba(93, 93, 93)'];
for (let i = 0; i < series.length; i++) {
series[i].backColor = colorArray[i];
series[i].border.color = colorLineArray[i];
series[i].border.width = 2;
chart.series().set(i, series[i]);
}
let axes = chart.axes();
axes.primaryValue.lineStyle.color = 'grey';
axes.primaryValue.majorTickPosition = GC.Spread.Sheets.Charts.TickMark.outside;
axes.primaryValue.majorUnit = 1000;
chart.axes(axes);
chart.title({text:"The Continents History and Forecast of Population Growth",fontSize:18});
chart.axes({primaryValue:{title:{text:"Units: one million"}}});
}
}
@NgModule({
imports: [BrowserModule, SpreadSheetsModule],
declarations: [AppComponent],
exports: [AppComponent],
bootstrap: [AppComponent]
})
export class AppModule {}
enableProdMode();
// Bootstrap application with hash style navigation and global services.
platformBrowserDynamic().bootstrapModule(AppModule);
<!doctype html>
<html style="height:100%;font-size:14px;">
<head>
<meta charset="utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0" />
<link rel="stylesheet" type="text/css" href="$DEMOROOT$/en/angular/node_modules/@mescius/spread-sheets/styles/gc.spread.sheets.excel2013white.css">
<!-- Polyfills -->
<script src="$DEMOROOT$/en/angular/node_modules/core-js/client/shim.min.js"></script>
<script src="$DEMOROOT$/en/angular/node_modules/zone.js/fesm2015/zone.min.js"></script>
<!-- SystemJS -->
<script src="$DEMOROOT$/en/angular/node_modules/systemjs/dist/system.js"></script>
<script src="systemjs.config.js"></script>
<script>
// workaround to load 'rxjs/operators' from the rxjs bundle
System.import('rxjs').then(function (m) {
System.import('@angular/compiler');
System.set(SystemJS.resolveSync('rxjs/operators'), System.newModule(m.operators));
System.import('$DEMOROOT$/en/lib/angular/license.ts');
System.import('./src/app.component');
});
</script>
</head>
<body>
<app-component></app-component>
</body>
</html>
<div class="sample-tutorial">
<gc-spread-sheets [hostStyle]="hostStyle" (workbookInitialized)="initSpread($event)">
<gc-worksheet></gc-worksheet>
<gc-worksheet></gc-worksheet>
<gc-worksheet></gc-worksheet>
</gc-spread-sheets>
</div>
.sample-tutorial {
position: relative;
height: 100%;
overflow: hidden;
}
body {
position: absolute;
top: 0;
bottom: 0;
left: 0;
right: 0;
}
(function (global) {
System.config({
transpiler: 'ts',
typescriptOptions: {
tsconfig: true
},
meta: {
'typescript': {
"exports": "ts"
},
'*.css': { loader: 'css' }
},
paths: {
// paths serve as alias
'npm:': 'node_modules/'
},
// map tells the System loader where to look for things
map: {
'core-js': 'npm:core-js/client/shim.min.js',
'zone': 'npm:zone.js/fesm2015/zone.min.js',
'rxjs': 'npm:rxjs/dist/bundles/rxjs.umd.min.js',
'@angular/core': 'npm:@angular/core/fesm2022',
'@angular/common': 'npm:@angular/common/fesm2022/common.mjs',
'@angular/compiler': 'npm:@angular/compiler/fesm2022/compiler.mjs',
'@angular/platform-browser': 'npm:@angular/platform-browser/fesm2022/platform-browser.mjs',
'@angular/platform-browser-dynamic': 'npm:@angular/platform-browser-dynamic/fesm2022/platform-browser-dynamic.mjs',
'@angular/common/http': 'npm:@angular/common/fesm2022/http.mjs',
'@angular/router': 'npm:@angular/router/fesm2022/router.mjs',
'@angular/forms': 'npm:@angular/forms/fesm2022/forms.mjs',
'jszip': 'npm:jszip/dist/jszip.min.js',
'typescript': 'npm:typescript/lib/typescript.js',
'ts': './plugin.js',
'tslib':'npm:tslib/tslib.js',
'css': 'npm:systemjs-plugin-css/css.js',
'plugin-babel': 'npm:systemjs-plugin-babel/plugin-babel.js',
'systemjs-babel-build':'npm:systemjs-plugin-babel/systemjs-babel-browser.js',
'@mescius/spread-sheets-shapes': 'npm:@mescius/spread-sheets-shapes/index.js',
'@mescius/spread-sheets-charts': 'npm:@mescius/spread-sheets-charts/index.js',
'@mescius/spread-sheets': 'npm:@mescius/spread-sheets/index.js',
'@mescius/spread-sheets-angular': 'npm:@mescius/spread-sheets-angular/fesm2020/mescius-spread-sheets-angular.mjs',
'@grapecity/jsob-test-dependency-package/react-components': 'npm:@grapecity/jsob-test-dependency-package/react-components/index.js'
},
// packages tells the System loader how to load when no filename and/or no extension
packages: {
src: {
defaultExtension: 'ts'
},
rxjs: {
defaultExtension: 'js'
},
"node_modules": {
defaultExtension: 'js'
},
"node_modules/@angular": {
defaultExtension: 'mjs'
},
"@mescius/spread-sheets-angular": {
defaultExtension: 'mjs'
},
'@angular/core': {
defaultExtension: 'mjs',
main: 'core.mjs'
}
}
});
})(this);

SpreadJS supports area, stacked area and 100% stacked area charts. Use the GC.Spread.Sheets.Charts.ChartType.area property to get the chart type.
You can add an area chart to Spread and change its style using the chart API.
Area: Area charts show trends over time.
Stacked Area: Stacked area charts show the trend of the contribution of each value over time or other categorical data.
100% Stacked Area: One-hundred percent stacked area charts show the trend of the percentage that each value contributes over time or other categorical data.
import * as React from 'react';
import { createRoot } from 'react-dom/client';
import './styles.css';
import { AppFunc } from './app-func';
// import { App } from './app-class';
// 1. Functional Component sample
createRoot(document.getElementById('app')).render(<AppFunc />);
// 2. Class Component sample
// createRoot(document.getElementById('app')).render(<App />);
import * as React from 'react';
import GC from '@mescius/spread-sheets';
import { SpreadSheets, Worksheet } from '@mescius/spread-sheets-react';
import '@mescius/spread-sheets-shapes';
import '@mescius/spread-sheets-charts';
export function AppFunc() {
let spread = null;
const initSpread = (currSpread) => {
spread = currSpread;
let chartType = [{
type: GC.Spread.Sheets.Charts.ChartType.area,
desc: "area",
}, {
type: GC.Spread.Sheets.Charts.ChartType.areaStacked,
desc: "areaStacked",
}, {
type: GC.Spread.Sheets.Charts.ChartType.areaStacked100,
desc: "areaStacked100",
}];
let sheets = spread.sheets;
spread.suspendPaint();
initArea(sheets[0], chartType[0].desc, chartType[0].type);
initArea(sheets[1], chartType[1].desc, chartType[1].type);
initArea(sheets[2], chartType[2].desc, chartType[2].type);
spread.resumePaint();
}
const initArea = (sheet, sheetName, chartType) => {
sheet.name(sheetName);
sheet.suspendPaint();
//prepare data for chart
let dataArray = [
["", "1750", "1800", "1850", "1900", "1950", "2000", "2050"],
["Asia", 502, 635, 809, 947, 1402, 3634, 5268],
["Africa", 106, 107, 111, 133, 221, 767, 1766],
["America", 18, 31, 54, 156, 339, 818, 1201],
["Europe", 163, 203, 276, 408, 547, 729, 628],
["Oceania", 2, 2, 2, 6, 13, 30, 46]
];
sheet.setArray(0, 0, dataArray);
sheet.resumePaint();
let chart = sheet.charts.add((sheet.name() + 'Chart1'), chartType, 0, 120, 800, 300, "A1:H6", GC.Spread.Sheets.Charts.RowCol.rows);
let series = chart.series().get();
let colorArray = ['rgba(158, 200, 242, 0.7)', 'rgba(245, 87, 31, 0.7)', 'rgba(173, 255, 131, 0.7)', 'rgba(255, 178, 50, 0.7)', 'rgba(93, 93, 93, 0.7)'];
let colorLineArray = ['rgba(158, 200, 242)', 'rgba(245, 87, 31)', 'rgba(173, 255, 131)', 'rgba(255, 178, 50)', 'rgba(93, 93, 93)'];
for (let i = 0; i < series.length; i++) {
series[i].backColor = colorArray[i];
series[i].border.color = colorLineArray[i];
series[i].border.width = 2;
chart.series().set(i, series[i]);
}
let axes = chart.axes();
axes.primaryValue.lineStyle.color = 'grey';
axes.primaryValue.majorTickPosition = GC.Spread.Sheets.Charts.TickMark.outside;
axes.primaryValue.majorUnit = 1000;
chart.axes(axes);
chart.title({ text: "The Continents History and Forecast of Population Growth", fontSize: 18 });
chart.axes({ primaryValue: { title: { text: "Units: one million" } } });
}
return (<div class="sample-tutorial">
<div class="sample-spreadsheets">
<SpreadSheets workbookInitialized={spread => initSpread(spread)}>
<Worksheet />
<Worksheet />
<Worksheet />
</SpreadSheets>
</div>
</div>);
}
import * as React from 'react';
import GC from '@mescius/spread-sheets';
import { SpreadSheets, Worksheet } from '@mescius/spread-sheets-react';
import '@mescius/spread-sheets-shapes';
import '@mescius/spread-sheets-charts';
const Component = React.Component;
export class App extends Component {
constructor(props) {
super(props);
this.spread = null;
}
render() {
return (<div class="sample-tutorial">
<div class="sample-spreadsheets">
<SpreadSheets workbookInitialized={spread => this.initSpread(spread)}>
<Worksheet />
<Worksheet />
<Worksheet />
</SpreadSheets>
</div>
</div>);
}
initSpread(spread) {
this.spread = spread;
let chartType = [{
type: GC.Spread.Sheets.Charts.ChartType.area,
desc: "area",
}, {
type: GC.Spread.Sheets.Charts.ChartType.areaStacked,
desc: "areaStacked",
}, {
type: GC.Spread.Sheets.Charts.ChartType.areaStacked100,
desc: "areaStacked100",
}];
let sheets = spread.sheets;
spread.suspendPaint();
this.initArea(sheets[0], chartType[0].desc, chartType[0].type);
this.initArea(sheets[1], chartType[1].desc, chartType[1].type);
this.initArea(sheets[2], chartType[2].desc, chartType[2].type);
spread.resumePaint();
}
initArea(sheet, sheetName, chartType) {
sheet.name(sheetName);
sheet.suspendPaint();
//prepare data for chart
let dataArray = [
["", "1750", "1800", "1850", "1900", "1950", "2000", "2050"],
["Asia", 502, 635, 809, 947, 1402, 3634, 5268],
["Africa", 106, 107, 111, 133, 221, 767, 1766],
["America", 18, 31, 54, 156, 339, 818, 1201],
["Europe", 163, 203, 276, 408, 547, 729, 628],
["Oceania", 2, 2, 2, 6, 13, 30, 46]
];
sheet.setArray(0, 0, dataArray);
sheet.resumePaint();
let chart = sheet.charts.add((sheet.name() + 'Chart1'), chartType, 0, 120, 800, 300, "A1:H6", GC.Spread.Sheets.Charts.RowCol.rows);
let series = chart.series().get();
let colorArray = ['rgba(158, 200, 242, 0.7)', 'rgba(245, 87, 31, 0.7)', 'rgba(173, 255, 131, 0.7)', 'rgba(255, 178, 50, 0.7)', 'rgba(93, 93, 93, 0.7)'];
let colorLineArray = ['rgba(158, 200, 242)', 'rgba(245, 87, 31)', 'rgba(173, 255, 131)', 'rgba(255, 178, 50)', 'rgba(93, 93, 93)'];
for (let i = 0; i < series.length; i++) {
series[i].backColor = colorArray[i];
series[i].border.color = colorLineArray[i];
series[i].border.width = 2;
chart.series().set(i, series[i]);
}
let axes = chart.axes();
axes.primaryValue.lineStyle.color = 'grey';
axes.primaryValue.majorTickPosition = GC.Spread.Sheets.Charts.TickMark.outside;
axes.primaryValue.majorUnit = 1000;
chart.axes(axes);
chart.title({ text: "The Continents History and Forecast of Population Growth", fontSize: 18 });
chart.axes({ primaryValue: { title: { text: "Units: one million" } } });
}
}
<!doctype html>
<html style="height:100%;font-size:14px;">
<head>
<meta charset="utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0" />
<link rel="stylesheet" type="text/css" href="$DEMOROOT$/en/react/node_modules/@mescius/spread-sheets/styles/gc.spread.sheets.excel2013white.css">
<!-- SystemJS -->
<script src="$DEMOROOT$/en/react/node_modules/systemjs/dist/system.src.js"></script>
<script src="systemjs.config.js"></script>
<script>
System.import('$DEMOROOT$/en/lib/react/license.js').then(function () {
System.import('./src/app');
});
</script>
</head>
<body>
<div id="app"></div>
</body>
</html>
.sample-tutorial {
position: relative;
height: 100%;
overflow: hidden;
}
.sample-spreadsheets {
width: 100%;
height:100%;
overflow: hidden;
float: left;
}
body {
position: absolute;
top: 0;
bottom: 0;
left: 0;
right: 0;
}
#app {
height: 100%;
}
(function (global) {
System.config({
transpiler: 'plugin-babel',
babelOptions: {
es2015: true,
react: true
},
meta: {
'*.css': { loader: 'css' }
},
paths: {
// paths serve as alias
'npm:': 'node_modules/',
'cdn:': 'https://cdn.mescius.io/demoapps/packages/spreadjs/19.1.2-master-2026-06-10-2131/'
},
// map tells the System loader where to look for things
map: {
'@mescius/spread-sheets-shapes': 'cdn:@mescius/spread-sheets-shapes/index.js',
'@mescius/spread-sheets-charts': 'cdn:@mescius/spread-sheets-charts/index.js',
'@mescius/spread-sheets': 'cdn:@mescius/spread-sheets/index.js',
'@mescius/spread-sheets-react': 'cdn:@mescius/spread-sheets-react/index.js',
'@grapecity/jsob-test-dependency-package/react-components': 'npm:@grapecity/jsob-test-dependency-package/react-components/index.js',
'react': 'npm:react/cjs/react.production.js',
'react-dom': 'npm:react-dom/cjs/react-dom.production.js',
'react-dom/client': 'npm:react-dom/cjs/react-dom-client.production.js',
'scheduler': 'npm:scheduler/cjs/scheduler.production.js',
'css': 'npm:systemjs-plugin-css/css.js',
'plugin-babel': 'npm:systemjs-plugin-babel/plugin-babel.js',
'systemjs-babel-build':'npm:systemjs-plugin-babel/systemjs-babel-browser.js'
},
// packages tells the System loader how to load when no filename and/or no extension
packages: {
src: {
defaultExtension: 'jsx'
},
"node_modules": {
defaultExtension: 'js'
},
}
});
})(this);

SpreadJS supports area, stacked area and 100% stacked area charts. Use the GC.Spread.Sheets.Charts.ChartType.area property to get the chart type.
You can add an area chart to Spread and change its style using the chart API.
Area: Area charts show trends over time.
Stacked Area: Stacked area charts show the trend of the contribution of each value over time or other categorical data.
100% Stacked Area: One-hundred percent stacked area charts show the trend of the percentage that each value contributes over time or other categorical data.
<template>
<div class="sample-tutorial">
<gc-spread-sheets class="sample-spreadsheets" @workbookInitialized="initSpread">
<gc-worksheet />
<gc-worksheet />
<gc-worksheet />
</gc-spread-sheets>
</div>
</template>
<script setup>
import GC from "@mescius/spread-sheets";
import {
ref
} from "vue";
import "@mescius/spread-sheets-vue";
import "@mescius/spread-sheets-charts";
const spreadRef = ref(null);
function initSpread(spread) {
spreadRef.value = spread;
let chartType = [{
type: GC.Spread.Sheets.Charts.ChartType.area,
desc: "area",
}, {
type: GC.Spread.Sheets.Charts.ChartType.areaStacked,
desc: "areaStacked",
}, {
type: GC.Spread.Sheets.Charts.ChartType.areaStacked100,
desc: "areaStacked100",
}];
let sheets = spread.sheets;
spread.suspendPaint();
initArea(sheets[0], chartType[0].desc, chartType[0].type);
initArea(sheets[1], chartType[1].desc, chartType[1].type);
initArea(sheets[2], chartType[2].desc, chartType[2].type);
spread.resumePaint();
}
function initArea(sheet, sheetName, chartType) {
sheet.name(sheetName);
sheet.suspendPaint();
//prepare data for chart
let dataArray = [
["", "1750", "1800", "1850", "1900", "1950", "2000", "2050"],
["Asia", 502, 635, 809, 947, 1402, 3634, 5268],
["Africa", 106, 107, 111, 133, 221, 767, 1766],
["America", 18, 31, 54, 156, 339, 818, 1201],
["Europe", 163, 203, 276, 408, 547, 729, 628],
["Oceania", 2, 2, 2, 6, 13, 30, 46]
];
sheet.setArray(0, 0, dataArray);
sheet.resumePaint();
let chart = sheet.charts.add((sheet.name() + 'Chart1'), chartType, 0, 120, 800, 300, "A1:H6", GC.Spread.Sheets.Charts.RowCol.rows);
let series = chart.series().get();
let colorArray = ['rgba(158, 200, 242, 0.7)', 'rgba(245, 87, 31, 0.7)', 'rgba(173, 255, 131, 0.7)', 'rgba(255, 178, 50, 0.7)', 'rgba(93, 93, 93, 0.7)'];
let colorLineArray = ['rgba(158, 200, 242)', 'rgba(245, 87, 31)', 'rgba(173, 255, 131)', 'rgba(255, 178, 50)', 'rgba(93, 93, 93)'];
for (let i = 0; i < series.length; i++) {
series[i].backColor = colorArray[i];
series[i].border.color = colorLineArray[i];
series[i].border.width = 2;
chart.series().set(i, series[i]);
}
let axes = chart.axes();
axes.primaryValue.lineStyle.color = 'grey';
axes.primaryValue.majorTickPosition = GC.Spread.Sheets.Charts.TickMark.outside;
axes.primaryValue.majorUnit = 1000;
chart.axes(axes);
chart.title({
text: "The Continents History and Forecast of Population Growth",
fontSize: 18
});
chart.axes({
primaryValue: {
title: {
text: "Units: one million"
}
}
});
}
</script>
<style scoped>
.sample-tutorial {
position: relative;
height: 100%;
overflow: hidden;
}
.sample-spreadsheets {
width: 100%;
height: 100%;
overflow: hidden;
float: left;
}
body {
position: absolute;
top: 0;
bottom: 0;
left: 0;
right: 0;
}
#app {
height: 100%;
}
</style>
<!DOCTYPE html>
<html style="height:100%;font-size:14px;">
<head>
<meta charset="utf-8" />
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<title>SpreadJS VUE</title>
<meta name="viewport" content="width=device-width, initial-scale=1.0" />
<link rel="stylesheet" type="text/css"
href="$DEMOROOT$/en/vue3/node_modules/@mescius/spread-sheets/styles/gc.spread.sheets.excel2013white.css">
<script src="$DEMOROOT$/en/vue3/node_modules/systemjs/dist/system.src.js"></script>
<script src="./systemjs.config.js"></script>
<script src="./compiler.js" type="module"></script>
<script>
var System = SystemJS;
System.import("./src/app.js");
System.import('$DEMOROOT$/en/lib/vue3/license.js');
</script>
</head>
<body>
<div id="app"></div>
</body>
</html>
(function (global) {
SystemJS.config({
transpiler: 'plugin-babel',
babelOptions: {
es2015: true
},
paths: {
// paths serve as alias
'npm:': 'node_modules/'
},
packageConfigPaths: [
'./node_modules/*/package.json',
"./node_modules/@mescius/*/package.json",
"./node_modules/@babel/*/package.json",
"./node_modules/@vue/*/package.json"
],
map: {
'vue': "npm:vue/dist/vue.esm-browser.js",
'tiny-emitter': 'npm:tiny-emitter/index.js',
'plugin-babel': 'npm:systemjs-plugin-babel/plugin-babel.js',
"systemjs-babel-build": "npm:systemjs-plugin-babel/systemjs-babel-browser.js",
'@mescius/spread-sheets': 'npm:@mescius/spread-sheets/index.js',
'@mescius/spread-sheets-resources-en': 'npm:@mescius/spread-sheets-resources-en/index.js',
'@mescius/spread-sheets-vue': 'npm:@mescius/spread-sheets-vue/index.js',
'@mescius/spread-sheets-shapes': 'npm:@mescius/spread-sheets-shapes/index.js',
'@mescius/spread-sheets-charts': 'npm:@mescius/spread-sheets-charts/index.js',
},
meta: {
'*.css': { loader: 'systemjs-plugin-css' },
'*.vue': { loader: "../plugin-vue/index.js" }
}
});
})(this);